%{?nodejs_find_provides_and_requires}

%global packagename should-promised
%global enable_tests 1

Name:		nodejs-should-promised
Version:	0.3.1
Release:	1%{?dist}
Summary:	Some sort of promise assertion helpers

License:	MIT
URL:		https://github.com/shouldjs/promised.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(bluebird)
%endif

Requires:	nodejs

%description
Some sort of promise assertion helpers


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec test/**.test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 0.3.1-1
- Initial packaging
